mmap_read(3)

NAME
mmap_read - memory map a file for reading

SYNTAX
#include <mmap.h> extern char* mmap_read(const char* filename,unsigned long* filesize);

DESCRIPTION
mmap_read opens filename for reading, maps the whole file into memory, closes the file, writes the length of the file to filesize and returns a pointer to the mapped file. The file is unmapped by the operating system if the process terminates. It can also be manually unmapped by calling munmap from <sys/mman.h>. If the file could not be opened or mapped, (void*)0 is returned.

SEE ALSO
munmap(2)